unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExeMod, StdCtrls, Buttons, ShellAPI;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    OpenDialog1: TOpenDialog;
    procedure FormCreate(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
Label2.Caption := 'The Number of HTML files embedded in this exe = '+
                   IntToStr(GetDemarcCount);

end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
SpeedButton1.Caption := 'Embed/Replace HTML file '+Edit1.Text;
SpeedButton2.Caption := 'Extract and Display HTML file '+Edit1.Text;

end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
OpenDialog1.Execute;
If OpenDialog1.FileName = '' then exit;
DelFromExe('HTML'+Edit1.Text);//remove any existing HTML data using this name
AddFile2Exe('HTML'+Edit1.Text,OpenDialog1.FileName);//insert new data
AlterExe;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
Var Temp: String;
begin
ExtractFromExe('HTML'+Edit1.Text,Temp);
If Temp <> '' then
begin
SetCurrentDir(ExtractFilePath(Application.ExeName));
String2File(Temp,'HTML'+Edit1.Text+'.html');
ShellExecute(Form1.Handle,nil,pchar('HTML'+Edit1.Text+'.html'),
nil,nil, SW_SHOWNORMAL);
end
else ShowMessage('No such HTML file has been added to this exe!');
end;

end.
